"""
LeMMA - the Lazy man's Editor for MMA
Note that this is NOT really an MMA editor, but rather a simple front-end to MMA

This is the module that deals with (mostly) configuration stuff

Software is provided AS IS. Feel free to use AT YOUR OWN RISK!

Version 0.7. Copyright (c) Gek S. Low. 21 Feb 2009
"""

# Constants used in LeMMA

DEFAULT_MEASURE_WIDTH = 12
DEFAULT_FONT = "Helvetica 9 bold"
TEXT_FONT = ("Helvetica", "9")

NUM_MEASURES_Y = 10
NUM_MEASURES_X = 8

# In main editing window
BARLINE_FONT = ("Helvetica", "12", "bold")
BARLINE_COLOR_FG = "black"
BARLINE_COLOR_BG = "white"
BARLINE_COLOR_BG_MOUSEENTER = "cyan"

BARNUM_FONT = ("Helvetica", "8", "bold")
BARNUM_COLOR_FG = "black"
BARNUM_COLOR_BG = "white"

GROOVE_FONT_NONE = ("Helvetica", "8")
GROOVE_FONT = ("Helvetica", "8", "bold")
GROOVE_COLOR_FG = "black"
GROOVE_COLOR_FG_NONE = "gray"
GROOVE_COLOR_BG = "white"
GROOVE_COLOR_BG_MOUSEENTER = "cyan"
GROOVE_TEXT_NONE = "(Groove)"

CODE_FONT_NONE = ("Helvetica", "8")
CODE_FONT = ("Helvetica", "8")
CODE_COLOR_FG = "black"
CODE_COLOR_FG_NONE = "gray"
CODE_COLOR_BG = "white"
CODE_COLOR_BG_MOUSEENTER = "cyan"
CODE_TEXT = "Code"

MEASURE_FONT = ("Helvetica", "10")
MEASURE_COLOR_FG = "black"
MEASURE_COLOR_BG = "white"
MEASURE_COLOR_BG_FOCUS = "yellow"
MEASURE_COLOR_HIGHLIGHT_MOUSEENTER = "black"
MEASURE_COLOR_HIGHLIGHT = "white"

MAINFRAME_COLOR_BG = "white"
